<template>
  <div class="menu-bar">
    <div class="menu-bar-brand">
      <router-link to="/">Sablier.</router-link>
    </div>
    <div class="right-menu">
      <ul>
        <li v-if="isLoggedIn">My Projects</li>
        <li v-if="isLoggedIn">Help</li>
        <li v-if="isLoggedIn">My Account</li>
        <li v-if="isLoggedIn" v-on:click="logOut">Log Out</li>
        <li v-if="!isLoggedIn">
          <router-link to="/subscribe">Sign Up</router-link>
        </li>
         <li v-if="!isLoggedIn">
          <router-link to="/login">Log In</router-link>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  name: "NavBar",
  data: function() {
    return {
      isLoggedIn: null
    };
  },
  mounted: function() {
    this.isLoggedIn = this.$auth.isLoggedIn(this.$cookie);
  },
  methods: {
    logOut: function() {
      this.$auth.logOut(this.$cookie);
      this.$router.go(); 
    }
  }
};
</script>

<style>
/* Menu rules  */

.menu-bar {
  width: 100%;
  position: fixed;
  top: 0;
  max-height: 80px;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  border-bottom: 1px solid lightgray;
  background-color: white;
}

.menu-bar-brand {
  font-size: 25px;
  height: 50px;
  line-height: 50px;
  margin-left: 25px;
  flex-grow: 1;
  display: flex;
}

.menu-bar-brand * {
  font-weight: bold;
  color: #2c3e50;
}

a {
  text-decoration: none;
}

.search-bar {
  color: #2c3e50;
  width: 850px;
  padding: 5px;
}

.right-menu {
  flex-grow: 1;
}

.right-menu a {
  color:  #2c3e50;
}

.right-menu ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  display: flex;
  justify-content: flex-end;
}

.right-menu li {
  padding: 10px;
  line-height: 30px;
}
</style>
